# Page Not Found

The URL `code-references/oauth2/reference/v1` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [OAuth2](https://docs.high-mobility.com/api-references/auth/oauth2.md)
- [Vehicle Location](https://docs.high-mobility.com/api-references/data/streaming-schema-v2/vehicle-location.md)
- [Rooftop control](https://docs.high-mobility.com/api-references/data/streaming-schema-v2/rooftop-control.md)
- [Maintenance](https://docs.high-mobility.com/api-references/data/streaming-schema-v2/maintenance.md)
- [Fleet Clearance](https://docs.high-mobility.com/api-references/fleet-management/fleet-clearance.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.high-mobility.com/api-references/auth/oauth2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.high-mobility.com/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.high-mobility.com/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/api-references/auth/oauth2.md`).

You may also use `Accept: text/markdown` header for content negotiation.
